<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPlanEditViewBase from './emplan-edit-view-base.vue';

import view_form from '@widgets/emplan/main2-form/main2-form.vue';

/**
 * 计划
 *
 * @export
 * @class EMPlanEditView
 * @extends {EMPlanEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPlanEditView extends EMPlanEditViewBase { }
</script>